unit Main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.Edit;

type
  TFormMain = class(TForm)
    ButtonTest: TButton;
    EdiBtAddress: TEdit;
    procedure ButtonTestClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses Analogics2inchThermalBTPrinterAPI, Androidapi.JNI.JavaTypes,
  Androidapi.Helpers;

{$R *.fmx}

procedure TFormMain.ButtonTestClick(Sender: TObject);
var
  PrinterApi: JBluetooth_Printer_2inch_ThermalAPI;
  PrintData: JString;
  Printer: JAnalogicsThermalPrinter;
begin
  PrinterApi := TJBluetooth_Printer_2inch_ThermalAPI.JavaClass.init;
  PrintData := PrinterApi.font_Courier_10(StringToJString('Print This DATA'));
  Printer := TJAnalogicsThermalPrinter.JavaClass.init;
  if Printer.Call_PrintertoPrint(StringToJString(EdiBtAddress.Text), PrintData) then
    ShowMessage('Done')
  else
    ShowMessage('Cannot print');
end;

end.
